Groovy Documentation

## org.codehaus.groovy.grails.web.mapping
[Java] Class UrlMappingsHolderFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.UrlMappingsHolderFactoryBean

All Implemented Interfaces:
  FactoryBean

    public class UrlMappingsHolderFactoryBean

A FactoryBean for constructing the UrlMappingsHolder from the registered UrlMappings class within a GrailsApplication.

Authors:
  Graeme Rocher

Since:
  0.5

Method Summary
`void` | `afterPropertiesSet()`
`UrlMappingsHolder` | `getObject()`
`java.lang.Class` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setGrailsApplication(GrailsApplication grailsApplication)`
`void` | `setServletContext(ServletContext servletContext)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### afterPropertiesSet

    @SuppressWarnings({ "unchecked", "rawtypes" })
    public void afterPropertiesSet()

### getObject

    public UrlMappingsHolder getObject()

### getObjectType

    public java.lang.Class getObjectType()

### isSingleton

    public boolean isSingleton()

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

### setServletContext

    public void setServletContext(ServletContext servletContext)

Groovy Documentation